package org.jeecg.modules.zrzyqc.gzvhb.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.zrzyqc.gzvhb.entity.QcSsgqzysytdqkGzv;
import org.jeecg.modules.zrzyqc.gzvhb.model.ResultCount;
import org.jeecg.modules.zrzyqc.qyxx.entity.QcQyxx;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: qc_ssgqzysytdqk_gzv
 * @Author: jeecg-boot
 * @Date: 2024-07-27
 * @Version: V1.0
 */
public interface IQcSsgqzysytdqkGzvService extends IService<QcSsgqzysytdqkGzv> {

    /**
     * 省属
     */
    List<Map<String, Double>> sumList(List<QcSsgqzysytdqkGzv> list);

    /**
     * 省直
     */
    List<Map<String, Double>> sumListBysz(List<QcSsgqzysytdqkGzv> list);

    void upSfsb(String id);

    QcQyxx selectQyxx(String username, String orCode);

    void insertDkxx(HashMap<String, Object> map);

    ResultCount queryResultCount(QueryWrapper<QcSsgqzysytdqkGzv> queryWrapper);

    ResultCount queryResultCountMoney(QueryWrapper<QcSsgqzysytdqkGzv> queryWrapper);

    /**
     * 获取一级企业列表,并进行一级企业组装
     */
    List<QcSsgqzysytdqkGzv> getFirstOrgNames(List<QcSsgqzysytdqkGzv> list);

    /**
     * 获取一级企业列表,并进行一级企业组装(实体)
     */
    QcSsgqzysytdqkGzv getFirstOrgName(QcSsgqzysytdqkGzv qcSsgqzysytdqkGzv);

    /**
     * 获取一级企业列表,并进行一级企业组装
     */
    List<QcQyxx> getFirstOrgNamesQyxx(List<QcQyxx> list);
}
